--天墉城
--副本入口

--脚本号
x102005_g_scriptId=102005

x100 = 3
--事件交互入口
function x102005_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"[43596b]這裏是試煉三環的第三環-神紋試煉，50級以上3-5人組隊即可參加[-]")

	AddNumText(scene,x102005_g_scriptId,"三環—神紋試煉",-1,1)
	AddNumText(scene,x102005_g_scriptId,"三環—神紋試煉(周)",-1,2)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x102005_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	
	if index==1 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x102005_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x102005_g_scriptId,"便捷組隊",-2,1302,0, 204)
		AddNumText(scene,x102005_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x102005_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2 then
		BeginEvent(scene)
		AddText(scene,"請選擇")
		AddNumText(scene,x102005_g_scriptId,"進入副本",-2,2301)
		AddNumText(scene,x102005_g_scriptId,"便捷組隊",-2,2302,0, 207)
		AddNumText(scene,x102005_g_scriptId,"副本說明",-1,2303)
		AddNumText(scene,x102005_g_scriptId,"返回",-1,2304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1301 then
		GotoCopyScene(scene,selfId,303)
	elseif index == 2301 then
		GotoCopyScene(scene, selfId, 403)
	elseif index == 1302 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2302 then
		BeginEvent(scene)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1303 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1. 神紋為試煉三環的第三個副本，擊敗最終首領後憑借仙池鑰匙可獲得道具獎勵\n2. 每天最多可通過神紋試煉獲得1次道具獎勵，多次通過只能獲得俠義值獎勵\n3. 隊伍玩家人數不低於3人")
		AddNumText(scene,x102005_g_scriptId,"進入副本",-2,1301)
		AddNumText(scene,x102005_g_scriptId,"便捷組隊",-2,1302,0, 204)
		AddNumText(scene,x102005_g_scriptId,"副本說明",-1,1303)
		AddNumText(scene,x102005_g_scriptId,"返回",-1,1304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 2303 then
		BeginEvent(scene)
		AddText(scene,"玩法說明：\n1. 神紋試煉(周)為高難度的試煉三環副本，擊敗最終首領後憑借仙池鑰匙可獲得道具獎勵\n2. 每周最多可通過神紋試煉(周)獲得1次道具獎勵和寶箱鑰匙，多次通過只能獲得俠義值獎勵\n3. 隊伍玩家人數不低於3人")
		AddNumText(scene,x102005_g_scriptId,"進入副本",-2,2301)
		AddNumText(scene,x102005_g_scriptId,"便捷組隊",-2,2302,0, 207)
		AddNumText(scene,x102005_g_scriptId,"副本說明",-1,2303)
		AddNumText(scene,x102005_g_scriptId,"返回",-1,2304)
		EndEvent(scene)	
		DispatchEventList(scene,selfId,targetId)
	elseif index == 1304 then
		x102005_OnDefaultEvent(scene,selfId ,targetId)
	elseif index == 2304 then
		x102005_OnDefaultEvent(scene,selfId ,targetId)
	end

end